Bug 76435 - find utility would be useful
Summary: find utility would be useful
Status: RESOLVED FIXED
Alias: None
Product: knotes
Classification: Applications
Component: general (show other bugs)
Version: 3.0
Platform: unspecified Linux
: NOR wishlist with 50 votes (vote)
Target Milestone: ---
Assignee: Michael Brade
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2004-02-29 19:20 UTC by Roland Seuhs
Modified: 2007-01-26 16:49 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Roland Seuhs 2004-02-29 19:20:51 UTC
Version:           3.0 (using KDE 3.2.0, SuSE)
Compiler:          gcc version 3.3 20030226 (prerelease) (SuSE Linux)
OS:          Linux (i686) release 2.4.20-4GB

If you have larger notes a find utility triggered with the usual Ctrl+F key-shortcut would really be great.

That's the only thing I am currently missing in knotes.
Comment 1 ZigZig 2004-04-10 20:46:16 UTC
or better, a global shortcut that will open a search box and as a result will popup all notes contaning the mached text. 
Comment 2 Michael Brade 2005-01-09 00:10:24 UTC
CVS commit by brade: 

Implemented the most wanted feature: Possibility to search the notes. (#76435)
I have yet to fix the shortcut which doesn't work yet.

Jeez, this wasn't as trivial as I thought, took me a bit more than a day! Probably
due to the fact that I tried every possible implementation with the
KFind/KFindDialog stuff, even making David aware of its limitations ;-)

FEATURE: 76435


  M +5 -0      ChangeLog   1.96
  M +1 -1      Makefile.am   1.77
  M +86 -24    knote.cpp   1.141
  M +11 -0     knote.h   1.49
  M +7 -0      knoteedit.cpp   1.49
  M +44 -1     knotesapp.cpp   1.108
  M +7 -0      knotesapp.h   1.45
  M +3 -1      knotesappui.rc   1.3



Comment 3 Joseph Reagle 2005-05-10 17:29:15 UTC
Control+F doesn't work for me in 3.4 . Has this been included or not?
Comment 4 Joseph Reagle 2006-03-21 21:12:32 UTC
As of 3.5.1 it doesn't work either, why is this marked resolved?
Comment 5 Joseph Reagle 2006-09-11 22:06:14 UTC
Not in 3.5.4 either.
Comment 6 Joseph Reagle 2007-01-26 16:49:59 UTC
OK, I see it is in Knotes globally, not per note. Removing votes.